KJOBVIEWER(1)

NAME
kjobviewer - a print job viewer

SYNOPSIS
kjobviewer [Qt-options] [TDE-options] [options]

DESCRIPTION
KJobViewer is a powerful queue and spool manager. You can view jobs in the different queues waiting for print as well as manipulate jobs in many ways.

The details are, again, as with all other modules of TDEPrint, dependent on the print subsystem in use. CUPS, as is usual now, in this field is the most feature-complete system for "doing something with jobs that are sent away already and wait for print, possibly on a remote print server".

With kjobviewer you can...

-   see an overview for a certain queue or see all jobs on all queues;

-   filter the list to see your "own" jobs only;

-   sort the pending jobs according to different criteria (size, ownership, job-ide, job-name; billing-tags);

-   stop a job from printing, putting it into a "held" state;

-   re-start a held job;

-   manually release a job that was sent to "hold" from the client already;

-   reschedule a job for printing at a specified time;

-   increase or decrease the job-priorities (allowed values are 1-100) to re-arrange the order of automatic printing;

-   move a job to a different print-queue;

-   stop jobs from leaving the queue (while still accepting incoming ones);

-   reject new incoming jobs (while still printing all the pending ones until the queue is empty);

-   check and re-set all job options -- even adapt them to another target printet which might have a complete different set of commands;

-   view the existing and re-assign a new job-billing tag to a job;

-   pop up on screen a nicely formatted report of IPP attributes for any job and also print it;

-   increase or decrease the number of required copies;

-   cancel and delete a no-longer-required job.

Note, that some of these manipulations require job ownership or root access.

OPTIONS

  Options:

-d  <printer-name> The printer for which jobs are requested

--noshow
    Show job viewer at startup

--all
    Show jobs for all printers

  Generic options:

--help
    Show help about options

--help-qt
    Show Qt specific options

--help-tde
    Show TDE specific options

--help-all
    Show all options

--author
    Show author information

-v, --version
    Show version information

--license
    Show license information

--  End of options

  Qt options:

  --display <displayname>
Use the X-server display 'displayname'

--session <sessionId>
    Restore the application for the given 'sessionId'

--cmap
    Causes the application to install a private color map on an 8-bit display

--ncols <count>
    Limits the number of colors allocated in the color cube on an 8-bit display, if the application is using the QApplication::ManyColor color specification

--nograb
    tells Qt to never grab the mouse or the keyboard

--dograb
    running under a debugger can cause an implicit -nograb, use -dograb to override

--sync
    switches to synchronous mode for debugging

--fn, --font <fontname>
    defines the application font

--bg, --background <color>
    sets the default background color and an application palette (light and dark shades are calculated)

--fg, --foreground <color>
    sets the default foreground color

--btn, --button <color>
    sets the default button color

--name <name>
    sets the application name

--title <title>
    sets the application title (caption)

--visual TrueColor
    forces the application to use a TrueColor visual on an 8-bit display

--inputstyle <inputstyle>
    sets XIM (X Input Method) input style. Possible values are onthespot, overthespot, offthespot and root

--im <XIM server>
    set XIM server

--noxim
    disable XIM

--reverse
    mirrors the whole layout of widgets

  TDE options:

  --caption <caption>
Use 'caption' as name in the titlebar

--icon <icon>
    Use 'icon' as the application icon

--miniicon <icon>
    Use 'icon' as the icon in the titlebar

--config <filename>
    Use alternative configuration file

--dcopserver <server>
    Use the DCOP Server specified by 'server'

--nocrashhandler
    Disable crash handler, to get core dumps

--waitforwm
    Waits for a WM_NET compatible windowmanager

--style <style>
    sets the application GUI style

--geometry <geometry>
    sets the client geometry of the main widget - see man X for the argument format

--nofork
    Don't run in the background.

SEE ALSO

  Full user documentation is available through the TDE Help Center. You can also enter the URL
help:/kjobviewer/ directly into konqueror or you can run khelpcenter help:/kjobviewer/ from the command-line.

AUTHORS
Michael Goffioul <tdeprint@swing.be>
Please use http://bugs.trinitydesktop.org to report bugs; do not mail the author directly.

This manual page was written by Holger Hartmann <Holger_Hartmann@gmx.de> for the Debian Project, but may be used by others. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 or any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.